/*******************************************************************************
 * Copyright (c) 2004, 2006 KOBAYASHI Tadashi and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    KOBAYASHI Tadashi - initial API and implementation
 *******************************************************************************/

package net.sourceforge.veditor.editor;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.RGB;
import org.eclipse.swt.widgets.Display;

public class ColorManager
{
	private Map<RGB,Color> colorMap = new HashMap<RGB,Color>(10);

	public void dispose()
	{
		Iterator<Color> e = colorMap.values().iterator();
		while (e.hasNext())
		{
			((Color)e.next()).dispose();
		}
	}
	public Color getColor(RGB rgb)
	{
		Color color = (Color)colorMap.get(rgb);
		if (color == null)
		{
			color = new Color(Display.getCurrent(), rgb);
			colorMap.put(rgb, color);
		}
		return color;
	}
}
